org.codehaus.classworlds

## Interface ClassRealm

All Known Implementing Classes:
  ClassRealmAdapter, DefaultClassRealm

    public interface ClassRealm

Autonomous sub-portion of a `ClassWorld`.

This class most closed maps to the `ClassLoader` role from Java and in facts can provide a `ClassLoader` view of itself using `getClassLoader()`.

Author:
  bob mcwhirter, Jason van Zyl

### Method Summary

Methods
`void` `addConstituent(URL constituent)`
`ClassRealm` `createChildRealm(String id)`
`void` `display()`
`Enumeration` `findResources(String name)`
`ClassLoader` `getClassLoader()`
`URL[]` `getConstituents()`
`String` `getId()`
`ClassRealm` `getParent()`
`URL` `getResource(String name)`
`InputStream` `getResourceAsStream(String name)`
`ClassWorld` `getWorld()`
`void` `importFrom(String realmId, String pkgName)`
`Class` `loadClass(String name)`
`ClassRealm` `locateSourceRealm(String className)`
`void` `setParent(ClassRealm classRealm)`

### Method Detail

#### getId

    String getId()

#### getWorld

    ClassWorld getWorld()

#### importFrom

    void importFrom(String realmId,
                  String pkgName)
                    throws NoSuchRealmException

Throws:
  `NoSuchRealmException`

#### addConstituent

    void addConstituent(URL constituent)

#### locateSourceRealm

    ClassRealm locateSourceRealm(String className)

#### setParent

    void setParent(ClassRealm classRealm)

#### createChildRealm

    ClassRealm createChildRealm(String id)
                                throws DuplicateRealmException

Throws:
  `DuplicateRealmException`

#### getClassLoader

    ClassLoader getClassLoader()

#### getParent

    ClassRealm getParent()

#### getConstituents

    URL[] getConstituents()

#### loadClass

    Class loadClass(String name)
                    throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### getResource

    URL getResource(String name)

#### findResources

    Enumeration findResources(String name)
                              throws IOException

Throws:
  `IOException`

#### getResourceAsStream

    InputStream getResourceAsStream(String name)

#### display

    void display()